Project

General

Profile

Statistics
| Branch: | Tag: | Revision:

cdm-vaadin / pom.xml @ fdf046c6

History | View | Annotate | Download (24 KB)

1
<?xml version="1.0" encoding="UTF-8"?>
2
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
3
  <modelVersion>4.0.0</modelVersion>
4
  <groupId>eu.etaxonomy</groupId>
5
  <artifactId>cdm-vaadin</artifactId>
6
  <packaging>war</packaging>
7
  <version>5.21.0-SNAPSHOT</version>
8
  <name>Vaadin Web Application</name>
9
  <properties>
10
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
11
    <vaadin.version>7.7.13</vaadin.version>
12
    <vaadin-spring.version>1.2.0</vaadin-spring.version>
13
    <vaadin.plugin.version>${vaadin.version}</vaadin.plugin.version>
14
    <vaadin-spring-addon-eventbus.version>2.0.0.RELEASE</vaadin-spring-addon-eventbus.version>
15
    <cdmlib.version>5.22.0-SNAPSHOT</cdmlib.version>
16
    <unitils.version>3.4.2</unitils.version>
17
    <spring-boot.version>1.3.1.RELEASE</spring-boot.version>
18
    <!-- has spring 4.2.4-RELEASE as dependency --> 
19
    <!-- 
20
        lucene.version must match the version as defined in cdmlib
21
    -->
22
    <lucene.version>5.4.1</lucene.version>
23
    <maven.compiler.source>1.8</maven.compiler.source>
24
    <maven.compiler.target>1.8</maven.compiler.target>
25
  </properties>
26
  <prerequisites>
27
    <maven>3.2.3</maven>
28
  </prerequisites>
29
  <repositories>
30
    <!-- the cdm internal repository -->
31
    <repository>
32
      <id>EditRepository</id>
33
      <url>http://cybertaxonomy.eu/mavenrepo/</url>
34
    </repository>
35
    <!-- current spring source repositories -->
36
    <repository>
37
      <id>SpringSource Enterprise Bundle Repository - External Bundle Milestones</id>
38
      <url>http://repository.springsource.com/maven/bundles/milestone</url>
39
    </repository>
40
    <repository>
41
      <id>SpringSource Enterprise Bundle Repository - SpringSource Bundle Releases</id>
42
      <url>http://repository.springsource.com/maven/bundles/release</url>
43
    </repository>
44
    <repository>
45
      <id>SpringSource Enterprise Bundle Repository - External Bundle Releases</id>
46
      <url>http://repository.springsource.com/maven/bundles/external</url>
47
    </repository>
48
    <repository>
49
      <id>vaadin-addons</id>
50
      <url>http://maven.vaadin.com/vaadin-addons</url>
51
    </repository>
52
    <repository>
53
      <id>vaadin-snapshots</id>
54
      <url>http://oss.sonatype.org/content/repositories/vaadin-snapshots/</url>
55
      <releases>
56
        <enabled>false</enabled>
57
      </releases>
58
      <snapshots>
59
        <enabled>true</enabled>
60
      </snapshots>
61
    </repository>
62
  </repositories>
63
  <pluginRepositories>
64
    <pluginRepository>
65
      <id>vaadin-snapshots</id>
66
      <url>http://oss.sonatype.org/content/repositories/vaadin-snapshots/</url>
67
      <releases>
68
        <enabled>false</enabled>
69
      </releases>
70
      <snapshots>
71
        <enabled>true</enabled>
72
      </snapshots>
73
    </pluginRepository>
74
  </pluginRepositories>
75
  <dependencyManagement>
76
    <dependencies>
77
      <dependency>
78
        <groupId>eu.etaxonomy</groupId>
79
        <artifactId>cdmlib-parent</artifactId>
80
        <version>${cdmlib.version}</version>
81
        <type>pom</type>
82
        <scope>import</scope>
83
      </dependency>
84
      <dependency>
85
        <groupId>org.springframework.boot</groupId>
86
        <artifactId>spring-boot-starter-parent</artifactId>
87
        <version>${spring-boot.version}</version>
88
        <type>pom</type>
89
        <scope>import</scope>
90
      </dependency>
91
      <dependency>
92
        <groupId>com.vaadin</groupId>
93
        <artifactId>vaadin-bom</artifactId>
94
        <version>${vaadin.version}</version>
95
        <type>pom</type>
96
        <scope>import</scope>
97
      </dependency>
98
      <dependency>
99
        <!-- Try updating in cdmlib to 20090211 -->
100
        <groupId>org.json</groupId>
101
        <artifactId>json</artifactId>
102
        <version>20151123</version>
103
      </dependency>
104
    
105
    
106
    
107
    
108
    
109
    
110
    
111
    
112
    
113
    
114
      <!-- 
115
      <dependency>
116
        < ! - - FIXME move to cdmlib-test - - >
117
        <groupId>org.springframework</groupId>
118
        <artifactId>spring-mock</artifactId>
119
        <version>4.2.3.RELEASE</version>
120
      </dependency>
121
      <dependency>
122
        <groupId>org.seleniumhq.selenium</groupId>
123
        <artifactId>selenium-api</artifactId>
124
        <version>3.5.3</version>
125
      </dependency>
126
      <dependency>
127
        <groupId>org.seleniumhq.selenium</groupId>
128
        <artifactId>selenium-support</artifactId>
129
        <version>3.5.3</version>
130
      </dependency>
131
      -->
132
    </dependencies>
133
  </dependencyManagement>
134
  <distributionManagement>
135
    <repository>
136
      <uniqueVersion>false</uniqueVersion>
137
      <id>cybertaxonomy.eu</id>
138
      <name>Edit Maven Repository</name>
139
      <url>scpexe://cybertaxonomy.eu/var/www/wp5.e-taxonomy.eu/mavenrepo/</url>
140
      <layout>default</layout>
141
    </repository>
142
  </distributionManagement>
143
  <profiles>
144
    <profile>
145
      <id>align-cdmlib-version</id>
146
      <activation>
147
        <property>
148
          <name>align-cdmlib-version</name>
149
        </property>
150
      </activation>
151
      <build>
152
        <plugins>
153
          <plugin>
154
            <groupId>com.google.code.maven-replacer-plugin</groupId>
155
            <artifactId>replacer</artifactId>
156
            <version>1.5.3</version>
157
            <executions>
158
              <execution>
159
                <phase>process-sources</phase>
160
                <goals>
161
                  <goal>replace</goal>
162
                </goals>
163
              </execution>
164
            </executions>
165
            <configuration>
166
              <file>pom.xml</file>
167
              <!-- \u003C = < , \u003E = > -->
168
              <token>(\u003Ccdmlib\.version\u003E)[^\u003C]*</token>
169
              <value>$1${project.version}</value>
170
            </configuration>
171
          </plugin>
172
        </plugins>
173
      </build>
174
    </profile>
175
    <profile>
176
      <id>java8-doclint-disabled</id>
177
      <activation>
178
        <jdk>[1.8,)</jdk>
179
      </activation>
180
      <properties>
181
        <javadoc.opts>-Xdoclint:none</javadoc.opts>
182
      </properties>
183
    </profile>
184
  </profiles>
185
  <build>
186
    <resources>
187
      <resource>
188
        <!-- all main resources without filtering -->
189
        <directory>src/main/resources</directory>
190
      </resource>
191
      <resource>
192
        <!-- replace the place holders like ${...} in datasources.xml -->
193
        <filtering>true</filtering>
194
        <directory>src/test/resources</directory>
195
        <targetPath>../test-classes</targetPath>
196
        <includes>
197
          <include>datasources.xml</include>
198
        </includes>
199
      </resource>
200
      <resource>
201
        <!-- all other test resources without filtering -->
202
        <directory>src/test/resources</directory>
203
        <targetPath>../test-classes</targetPath>
204
        <excludes>
205
          <exclude>datasources.xml</exclude>
206
        </excludes>
207
      </resource>
208
    </resources>
209
    <plugins>
210
      <plugin>
211
        <groupId>org.apache.maven.plugins</groupId>
212
        <artifactId>maven-resources-plugin</artifactId>
213
        <version>3.0.1</version>
214
      </plugin>
215
      <plugin>
216
        <groupId>org.apache.maven.plugins</groupId>
217
        <artifactId>maven-compiler-plugin</artifactId>
218
        <version>3.3</version>
219
        <configuration>
220
          <source>${maven.compiler.source}</source>
221
          <target>${maven.compiler.target}</target>
222
          <encoding>UTF-8</encoding>
223
        </configuration>
224
      </plugin>
225
      <plugin>
226
        <groupId>org.apache.maven.plugins</groupId>
227
        <artifactId>maven-surefire-plugin</artifactId>
228
        <version>2.19.1</version>
229
        <configuration>
230
          <argLine>-Xms256m -Xmx512m</argLine>
231
        </configuration>
232
      </plugin>
233
      <!-- As we are doing "inplace" GWT compilation, ensure the widgetset -->
234
      <!-- directory is cleaned properly -->
235
      <plugin>
236
        <artifactId>maven-clean-plugin</artifactId>
237
        <version>2.4.1</version>
238
        <configuration>
239
          <filesets>
240
            <fileset>
241
              <directory>src/main/webapp/VAADIN/widgetsets</directory>
242
            </fileset>
243
          </filesets>
244
        </configuration>
245
      </plugin>
246
      <plugin>
247
        <groupId>org.apache.maven.plugins</groupId>
248
        <artifactId>maven-javadoc-plugin</artifactId>
249
        <version>2.9.1</version>
250
        <configuration>
251
          <additionalparam>${javadoc.opts}</additionalparam>
252
        </configuration>
253
      </plugin>
254
      <plugin>
255
        <groupId>org.apache.maven.plugins</groupId>
256
        <artifactId>maven-war-plugin</artifactId>
257
        <version>2.2</version>
258
        <configuration>
259
          <failOnMissingWebXml>false</failOnMissingWebXml>
260
          <warSourceExcludes>WEB-INF/*,WEB-INF/datasources/*</warSourceExcludes>
261
        </configuration>
262
      </plugin>
263
      <plugin>
264
        <groupId>com.vaadin</groupId>
265
        <artifactId>vaadin-maven-plugin</artifactId>
266
        <version>${vaadin.plugin.version}</version>
267
        <configuration>
268
          <extraJvmArgs>-Xmx512M -Xss1024k</extraJvmArgs>
269
          <!-- We are doing "inplace" but into subdir VAADIN/widgetsets. 
270
            This way compatible with Vaadin eclipse plugin. -->
271
          <webappDirectory>${basedir}/src/main/webapp/VAADIN/widgetsets</webappDirectory>
272
          <hostedWebapp>${basedir}/src/main/webapp/VAADIN/widgetsets</hostedWebapp>
273
          <!-- Most Vaadin apps don't need this stuff, guide that to target -->
274
          <persistentunitcachedir>${project.build.directory}</persistentunitcachedir>
275
          <deploy>${project.build.directory}/gwt-deploy</deploy>
276
          <!-- Compile report is not typically needed either, saves hunreds 
277
            of mb disk -->
278
          <compileReport>false</compileReport>
279
          <noServer>true</noServer>
280
          <!-- Remove draftCompile when project is ready -->
281
          <draftCompile>false</draftCompile>
282
          <style>OBF</style>
283
          <runTarget>http://localhost:8080/</runTarget>
284
        </configuration>
285
        <executions>
286
          <execution>
287
            <configuration>
288
              <!-- if you don't specify any modules, the plugin will find 
289
                them -->
290
              <!-- <modules> <module>com.vaadin.demo.mobilemail.gwt.ColorPickerWidgetSet</module> 
291
                </modules> -->
292
            </configuration>
293
            <goals>
294
              <goal>clean</goal>
295
              <goal>resources</goal>
296
              <goal>update-theme</goal>
297
              <goal>update-widgetset</goal>
298
              <goal>compile-theme</goal>
299
              <goal>compile</goal>
300
            </goals>
301
          </execution>
302
        </executions>
303
      </plugin>
304
      <plugin>
305
        <groupId>org.eclipse.jetty</groupId>
306
        <artifactId>jetty-maven-plugin</artifactId>
307
        <version>9.4.15.v20190215</version>
308
        <!--  
309
            NOTE:
310
            9.4.0.RC1 requires jdk 1.8, formerly we've been using version 9.1.3.v20140225 which was 
311
            the last version compatible to java 7, but this was causing other problems related to asm
312
            which could not be easily solved.
313
        -->
314
        <configuration>
315
          <useTestScope>true</useTestScope>
316
          <scanIntervalSeconds>2</scanIntervalSeconds>
317
          <systemProperties>
318
            <force>true</force>
319
            <systemProperty>
320
              <name>cdm.datasource</name>
321
              <value>h2_cdmTest</value>
322
            </systemProperty>
323
            <systemProperty>
324
              <name>hibernate.hbm2ddl.auto</name>
325
              <value>create-drop</value>
326
            </systemProperty>
327
            <systemProperty>
328
              <!-- 
329
                The lucene index should be placed into the target folder, 
330
                so user.home needs to be set to this folder. user.home needs to be overridden 
331
                since it already exists, thus the force option is turned on above 
332
              -->
333
              <name>user.home</name>
334
              <value>${basedir}/target/</value>
335
            </systemProperty>
336
            <systemProperty>
337
              <!-- 
338
                datasources.xml is prepared by <plugins><resources>..</resources> above 
339
               -->
340
              <name>cdm.beanDefinitionFile</name>
341
              <value>${project.build.directory}/test-classes/datasources.xml</value>
342
            </systemProperty>
343
          </systemProperties>
344
        </configuration>
345
        <dependencies>
346
          <dependency>
347
            <groupId>org.slf4j</groupId>
348
            <artifactId>slf4j-log4j12</artifactId>
349
            <version>1.6.4</version>
350
          </dependency>
351
        </dependencies>
352
      </plugin>
353
      <plugin>
354
        <groupId>org.apache.maven.plugins</groupId>
355
        <artifactId>maven-failsafe-plugin</artifactId>
356
        <version>2.17</version>
357
        <configuration>
358
          <!-- Remove the skipTests line below to run TestBench tests -->
359
          <!-- <skipTests>true</skipTests> -->
360
        </configuration>
361
        <executions>
362
          <execution>
363
            <goals>
364
              <goal>integration-test</goal>
365
              <goal>verify</goal>
366
            </goals>
367
          </execution>
368
        </executions>
369
      </plugin>
370
      <!-- Browser Driver Downloader -->
371
      <plugin>
372
        <groupId>com.lazerycode.selenium</groupId>
373
        <artifactId>driver-binary-downloader-maven-plugin</artifactId>
374
        <version>1.0.14</version>
375
        <!-- has a bug -->
376
        <configuration>
377
          <rootStandaloneServerDirectory>selenium/bin</rootStandaloneServerDirectory>
378
          <downloadedZipFileDirectory>selenium/zip</downloadedZipFileDirectory>
379
        </configuration>
380
        <executions>
381
          <execution>
382
            <goals>
383
              <goal>selenium</goal>
384
            </goals>
385
          </execution>
386
        </executions>
387
      </plugin>
388
      <plugin>
389
        <groupId>external.atlassian.jgitflow</groupId>
390
        <artifactId>jgitflow-maven-plugin</artifactId>
391
        <version>1.0-m6</version>
392
        <configuration>
393
          <pushHotfixes>true</pushHotfixes>
394
          <pushReleases>true</pushReleases>
395
          <enableSshAgent>true</enableSshAgent>
396
          <allowSnapshots>true</allowSnapshots>
397
          <allowUntracked>true</allowUntracked>
398
        </configuration>
399
        <dependencies>
400
          <!-- upgrading dependency jsch.agent.version of jgit-flow plugin 
401
            to 0.1.53 in order have ssl key exchange algorithms compatible with openssh 
402
            6.7 -->
403
          <dependency>
404
            <groupId>com.jcraft</groupId>
405
            <artifactId>jsch</artifactId>
406
            <version>0.1.53</version>
407
          </dependency>
408
        </dependencies>
409
      </plugin>
410
      <plugin>
411
        <groupId>org.apache.maven.plugins</groupId>
412
        <artifactId>maven-enforcer-plugin</artifactId>
413
        <version>3.0.0-M2</version>
414
        <executions>
415
          <execution>
416
            <id>enforce</id>
417
            <configuration>
418
              <fail>false</fail>
419
              <skip>false</skip>
420
              <rules>
421
                <dependencyConvergence />
422
                <requireMavenVersion>
423
                  <version>[3.6.0,)</version>
424
                </requireMavenVersion>
425
              </rules>
426
            </configuration>
427
            <goals>
428
              <goal>enforce</goal>
429
            
430
            
431
            
432
            
433
            
434
            
435
            
436
            
437
            
438
              <!-- Binds by default to the lifecycle phase: validate -->
439
            </goals>
440
          </execution>
441
        </executions>
442
      </plugin>
443
    </plugins>
444
    <extensions>
445
      <extension>
446
        <groupId>org.apache.maven.wagon</groupId>
447
        <artifactId>wagon-scm</artifactId>
448
        <version>1.0-beta-6</version>
449
      </extension>
450
      <extension>
451
        <groupId>org.apache.maven.wagon</groupId>
452
        <artifactId>wagon-ssh</artifactId>
453
        <version>1.0-beta-6</version>
454
      </extension>
455
      <extension>
456
        <groupId>org.apache.maven.wagon</groupId>
457
        <artifactId>wagon-ssh-external</artifactId>
458
        <version>1.0-beta-6</version>
459
      </extension>
460
      <extension>
461
        <groupId>org.apache.maven.scm</groupId>
462
        <artifactId>maven-scm-manager-plexus</artifactId>
463
        <version>1.0</version>
464
      </extension>
465
      <extension>
466
        <groupId>org.apache.maven.scm</groupId>
467
        <artifactId>maven-scm-provider-svnexe</artifactId>
468
        <version>1.0</version>
469
      </extension>
470
      <!-- WebDAV plugin to upload snapshots -->
471
      <extension>
472
        <groupId>org.apache.maven.wagon</groupId>
473
        <artifactId>wagon-webdav</artifactId>
474
        <version>1.0-beta-2</version>
475
      </extension>
476
    </extensions>
477
    <pluginManagement>
478
      <plugins>
479
        <plugin>
480
          <artifactId>maven-eclipse-plugin</artifactId>
481
          <configuration>
482
            <wtpversion>2.0</wtpversion>
483
            <additionalProjectnatures>
484
              <projectnature>com.vaadin.integration.eclipse.widgetsetNature</projectnature>
485
            </additionalProjectnatures>
486
            <additionalBuildcommands>
487
              <buildcommand>com.vaadin.integration.eclipse.widgetsetBuilder</buildcommand>
488
              <buildcommand>com.vaadin.integration.eclipse.addonStylesBuilder</buildcommand>
489
            </additionalBuildcommands>
490
          </configuration>
491
        </plugin>
492
        <!--This plugin's configuration is used to store Eclipse m2e settings only. It has no influence on the Maven build itself.-->
493
        <plugin>
494
          <groupId>org.eclipse.m2e</groupId>
495
          <artifactId>lifecycle-mapping</artifactId>
496
          <version>1.0.0</version>
497
          <configuration>
498
            <lifecycleMappingMetadata>
499
              <pluginExecutions>
500
                <pluginExecution>
501
                  <pluginExecutionFilter>
502
                    <groupId>com.lazerycode.selenium</groupId>
503
                    <artifactId>
504
                      driver-binary-downloader-maven-plugin
505
                    </artifactId>
506
                    <versionRange>[1.0.14,)</versionRange>
507
                    <goals>
508
                      <goal>selenium</goal>
509
                    </goals>
510
                  </pluginExecutionFilter>
511
                  <action>
512
                    <ignore />
513
                  </action>
514
                </pluginExecution>
515
              </pluginExecutions>
516
            </lifecycleMappingMetadata>
517
          </configuration>
518
        </plugin>
519
      </plugins>
520
    </pluginManagement>
521
  </build>
522
  <dependencies>
523
    <!-- ============ Vaadin ============ -->
524
    <dependency>
525
      <groupId>com.vaadin</groupId>
526
      <artifactId>vaadin-spring</artifactId>
527
      <version>${vaadin-spring.version}</version>
528
    </dependency>
529
    <dependency>
530
      <groupId>org.vaadin.spring.addons</groupId>
531
      <artifactId>vaadin-spring-addon-eventbus</artifactId>
532
      <version>${vaadin-spring-addon-eventbus.version}</version>
533
    </dependency>
534
    <dependency>
535
      <groupId>com.vaadin</groupId>
536
      <artifactId>vaadin-server</artifactId>
537
    </dependency>
538
    <dependency>
539
      <groupId>com.vaadin</groupId>
540
      <artifactId>vaadin-client-compiled</artifactId>
541
    </dependency>
542
    <!-- Needed when using the widgetset optimizer (custom ConnectorBundleLoaderFactory). 
543
      For widgetset compilation, vaadin-client-compiler is automatically added 
544
      on the compilation classpath by vaadin-maven-plugin so normally there is 
545
      no need for an explicit dependency. -->
546
    <!-- <dependency> <groupId>com.vaadin</groupId> <artifactId>vaadin-client-compiler</artifactId> 
547
      <version>${vaadin.version}</version> <scope>provided</scope> </dependency> -->
548
    <dependency>
549
      <groupId>com.vaadin</groupId>
550
      <artifactId>vaadin-client</artifactId>
551
      <scope>test</scope>
552
      <exclusions>
553
        <exclusion>
554
          <groupId>javax.validation</groupId>
555
          <artifactId>validation-api</artifactId>
556
        </exclusion>
557
      </exclusions>
558
    </dependency>
559
    <!-- disabling push for the moment because it does not work with run-jetty-run 
560
      due to the fact that the latest (even nightly) version of run-jetty-run uses 
561
      9.0.0 M3 which is incompatible with atmoshpere. this does work with the jetty 
562
      included in this pom which is 9.2.5.xx, implying that enabling the dependency 
563
      and running the web app via 'mvn jetty:run' works fine. -->
564
    <!-- <dependency> -->
565
    <!-- <groupId>com.vaadin</groupId> -->
566
    <!-- <artifactId>vaadin-push</artifactId> -->
567
    <!-- <version>${vaadin.version}</version> -->
568
    <!-- </dependency> -->
569
    <dependency>
570
      <groupId>com.vaadin</groupId>
571
      <artifactId>vaadin-themes</artifactId>
572
    </dependency>
573
    <!-- vaadin addons / extensions -->
574
    <dependency>
575
      <groupId>org.vaadin.addons</groupId>
576
      <artifactId>contextmenu</artifactId>
577
      <version>4.5</version>
578
    </dependency>
579
    <dependency>
580
      <groupId>org.vaadin.teemu</groupId>
581
      <artifactId>switch</artifactId>
582
      <version>2.0.4-SNAPSHOT</version>
583
    </dependency>
584
    <dependency>
585
      <groupId>org.vaadin</groupId>
586
      <artifactId>viritin</artifactId>
587
      <version>1.61</version>
588
    </dependency>
589
    <dependency>
590
      <groupId>org.vaadin.addon</groupId>
591
      <artifactId>v-leaflet</artifactId>
592
      <version>1.0.3</version>
593
    </dependency>
594
    <dependency>
595
      <groupId>org.vaadin.addons.lazyquerycontainer</groupId>
596
      <artifactId>vaadin-lazyquerycontainer</artifactId>
597
      <version>7.6.1.3</version>
598
    </dependency>
599
    <dependency>
600
      <groupId>com.flowingcode.vaadin.addons</groupId>
601
      <artifactId>error-window-vaadin</artifactId>
602
      <version>1.0.0</version>
603
    </dependency>
604
    <!-- 
605
    <dependency>
606
        <groupId>org.vaadin.spring.extensions</groupId>
607
        <artifactId>vaadin-spring-ext-test</artifactId>
608
        <version>0.0.8-SNAPSHOT</version>
609
        <scope>test</scope>
610
    </dependency>
611
     -->
612
    <!--     <dependency>
613
        only in the edit repo
614
      <groupId>org.vaadin.addons</groupId>
615
      <artifactId>lazyloadwrapper</artifactId>
616
      <version>0.1-alpha</version>
617
    </dependency> -->
618
    <!-- ============ cdmlib ============ -->
619
    <dependency>
620
      <groupId>eu.etaxonomy</groupId>
621
      <artifactId>cdmlib-remote</artifactId>
622
      <scope>compile</scope>
623
    </dependency>
624
    <dependency>
625
      <groupId>eu.etaxonomy</groupId>
626
      <artifactId>cdmlib-cache</artifactId>
627
      <version>${cdmlib.version}</version>
628
    </dependency>
629
    <dependency>
630
      <groupId>eu.etaxonomy</groupId>
631
      <artifactId>cdmlib-test</artifactId>
632
      <scope>test</scope>
633
    </dependency>
634
    <dependency>
635
      <groupId>eu.etaxonomy</groupId>
636
      <artifactId>cdmlib-db</artifactId>
637
      <version>${cdmlib.version}</version>
638
      <scope>test</scope>
639
    </dependency>
640
    <!-- ============ Other ============ -->
641
    <!-- 
642
        to override version number coming with vaadin client 
643
        version is managed in cdmlib-parent
644
    -->
645
    <dependency>
646
      <groupId>javax.validation</groupId>
647
      <artifactId>validation-api</artifactId>
648
    </dependency>
649
    <dependency>
650
      <groupId>org.springmodules</groupId>
651
      <artifactId>spring-modules-cache</artifactId>
652
      <version>0.7</version>
653
      <exclusions>
654
        <exclusion>
655
          <groupId>org.springframework</groupId>
656
          <artifactId>spring</artifactId>
657
        </exclusion>
658
        <exclusion>
659
          <groupId>org.springframework</groupId>
660
          <artifactId>spring-mock</artifactId>
661
        </exclusion>
662
      </exclusions>
663
      <scope>test</scope>
664
    </dependency>
665
    <dependency>
666
      <groupId>org.springframework</groupId>
667
      <artifactId>spring-test</artifactId>
668
      <scope>test</scope>
669
    </dependency>
670
    <dependency>
671
      <groupId>org.json</groupId>
672
      <artifactId>json</artifactId>
673
    </dependency>
674
    <dependency>
675
      <groupId>javax.servlet</groupId>
676
      <artifactId>javax.servlet-api</artifactId>
677
      <scope>provided</scope>
678
    </dependency>
679
    <!-- ========== testing ======== -->
680
    <dependency>
681
      <groupId>com.codeborne</groupId>
682
      <artifactId>selenide</artifactId>
683
      <version>4.7.1</version>
684
      <scope>test</scope>
685
    </dependency>
686
    <dependency>
687
      <groupId>org.springframework.boot</groupId>
688
      <artifactId>spring-boot</artifactId>
689
    </dependency>
690
    <dependency>
691
      <groupId>org.springframework.boot</groupId>
692
      <artifactId>spring-boot-starter-jetty</artifactId>
693
    </dependency>
694
    <dependency>
695
      <groupId>org.springframework</groupId>
696
      <artifactId>spring-beans</artifactId>
697
    </dependency>
698
  </dependencies>
699
</project>
Add picture from clipboard (Maximum size: 40 MB)